package com.ruoyi.generator.service.front;

import java.util.List;
import com.ruoyi.generator.domain.front.FrontUser;
import com.ruoyi.generator.domain.front.dto.FrontLoginBody;
import com.ruoyi.generator.domain.front.dto.FrontRegisterBody;

public interface IFrontUserService
{
    public FrontUser login(FrontLoginBody loginBody);
    public FrontUser register(FrontRegisterBody registerBody);
    public FrontUser selectFrontUserById(Long userId);
    public FrontUser selectFrontUserByUsername(String username);
    public List<FrontUser> selectFrontUserList(FrontUser frontUser);
}
